Skip to main content
`Ctrl`+`K`

# PetscDrawIndicatorFunction

Draws an indicator function (where a relationship is true) on a `PetscDraw`

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawIndicatorFunction(PetscDraw draw, PetscReal xmin, PetscReal xmax, PetscReal ymin, PetscReal ymax, int c, PetscErrorCode (*indicator)(void *, PetscReal, PetscReal, PetscBool *), void *ctx)

Not Collective

## Input Parameters

- draw - a `PetscDraw`

- xmin - region to draw indicator function

- xmax - region to draw indicator function

- ymin - region to draw indicator function

- ymax - region to draw indicator function

- c - the color of the region

- indicator - the indicator function

- ctx - the context to pass to the indicator function

## See Also

`PetscDraw`

## Level

developer

## Location

src/sys/classes/draw/interface/drect.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages